SWF_DUMP(1)

NAME
swf_dump - Disassembler of SWF Flash movies

SYNOPSIS
swf_dump [options] file ...

DESCRIPTION
sswf_dump is a disassembler used to read a Flash movie and print out the information within.

It can extract images (loseless or JPEG) and sounds. It can print out shapes in SSWF format (so you can recompile them with SSWF later). Also, it will print out the action scripts in a wait fairly easy to read so you can see whether there is a mistake or a way to simply your scripts even further.

OPTIONS
The following options are understood by swf_dump.

-d or --decompress
    Decompress images, this means images are written in image files (24 or 32 bit targas for Lossless images and JPEGs). If you can't read 32 bit targas, you can use the --no-alpha to get rid of the extra 8 bits. At this time you can't control the name of the output files which is

    swf_dump-<#>.jpg or swf_dump-<#>.tga

    Where the number (<#>) is the unique identifier of the image in the movie.

    At this time, the JPEG alpha channels can't be dumped out. Also, the JPEG saved in V1.x may be saved in two parts. If this happens, the first part (the tables) is saved in:

    swf_dump-tables.jpg

    You will eventually need to merge the tables with the rest of the JPEG image data with a command such as:

    cat sswf_dump-tables.jpg sswf_dump-17.jpg >image.jpg

-h or --help
    Prints out a quick help screen about all the options supported by swf_dump.

-m or --movie_header
    Prints out information about the movie which can easilly be used by a shell script. The information is:

    version, width, height, frame rate, frame count

    These are: the version of this movie, the width in TWIPs (divide by 20 to get pixels), the height in TWIPs, the frame rate (number of frames per seconds) and the number of frames in the main movie (sprites can themselves be hundreds of frames, so this last value really doesn't represent much.)

    It can be useful when you generate a website and you want to specify the width and height of the movie in the corresponding HTML files.

--no-alpha
    Use in conjonction with the --decompress so you don't get the alpha channel in the target files (you get 24 bits targas instead). Note that this is necessary only if the movie has 32 bits lossless images.

-o id or --objectid
    By default all the objects in the movie are listed in a dump like format. You can use this option to dump out a given definition tag. swf_dump only supports the following at this time:

    DefineFont
    DefineShape

-q or --quiet
    Render swf_dump pretty quiet. Thus, most everything is listed, but some extraneous (and often useless) information will not be printed at all.

-v or --verbose
    Increase the verbosity. By default, the verbosity is set to one (1) so the system is a bit talkative. You can remove the verbosity completely with the -q option. The higher the verbosity, the more changes you will get additional information.

--version
    Prints out the swf_dump version and exit with an error.

ARGUMENTS
All the other arguments are taken as file names.

SEE ALSO
Alexis' SWF Reference, Alexis Wilke (http://sswf.sourceforge.net/SWFalexref.html)

SSWF Reference Manual, Alexis Wilke (http://sswf.sourceforge.net/ScriptSWF.html)

sswf(1), ft2sswf(1), jpg2swf(1)

BUGS

You are welcome to report bugs to me at: alexis_wilke@users.sourceforge.net
    Thank you in advance for the info!

All the tags need to be supported.

The sounds need to be extracted.

The JPEG alpha channel needs to be extracted.

There should be an option in order to transform the entire movie in an SSWF script file.

VERSION

This manual page is part of version <VERSION> of SSWF.

This file was last updated on <DATE>.

COPYRIGHT
swf_dump is a Copyright (c) 2002-2007 by Made to Order Software Corp.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.